ChainedParamReader (Axis API)
Keywords: org.apache.axis.utils.bytecode.ChainedParamReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils.bytecode
Class ChainedParamReader

    java.lang.Object
      org.apache.axis.utils.bytecode.ChainedParamReader

public class ChainedParamReader
extends java.lang.Object

Description: In ParamReader class, user can not get inherited method parameter from the class they passed in. This is done because of performance. This class is intended to setup the inheritant chain. If the method could not be found in the derived class, it will try to search it from super class, if not in the immedidate super class it will search super class's super class, until it reaches the root which is java.lang.Object. This is not an eager load since it only start searching the super class when it is asked to User: pengyu Date: Sep 6, 2003 Time: 11:43:24 PM

Constructor Summary
`ChainedParamReader(java.lang.Class cls)` Process a given class's parameter names

Method Summary
`java.lang.String[]` | `getParameterNames(java.lang.reflect.Constructor ctor)` return the names of the declared parameters for the given constructor.
`java.lang.String[]` | `getParameterNames(java.lang.reflect.Method method)` return the names of the declared parameters for the given method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedParamReader

    public ChainedParamReader(java.lang.Class cls)
                       throws java.io.IOException

  Process a given class's parameter names

Parameters:
  `cls` - the class which user wants to get parameter info from
Throws:
  `java.io.IOException`

Method Detail

### getParameterNames

    public java.lang.String[] getParameterNames(java.lang.reflect.Constructor ctor)

  return the names of the declared parameters for the given constructor. If we cannot determine the names, return null. The returned array will have one name per parameter. The length of the array will be the same as the length of the Class[] array returned by Constructor.getParameterTypes().

  Parameters:
    `ctor` -
  Returns:
    array of names, one per parameter, or null

### getParameterNames

    public java.lang.String[] getParameterNames(java.lang.reflect.Method method)

  return the names of the declared parameters for the given method. If we cannot determine the names in the current class, we will try to search its parent class until we reach java.lang.Object. If we still can not find the method we will return null. The returned array will have one name per parameter. The length of the array will be the same as the length of the Class[] array returned by Method.getParameterTypes().

  Parameters:
    `method` -
  Returns:
    String[] array of names, one per parameter, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.